let ws = new WebSocket('ws://' + document.location.host + '/ws');

// ws.onopen = function() {
//    ws.send(JSON.stringify({
//        'anchor': '',
//        'data': 'Hello, World!'
//    }));
// };

// TODO: annotate objects that can fire events
// TODO: annotate objects that should receive response from events
// TODO: work out object notation for events that are fired
// TODO: work out object notation for responses

$('#container').on('click', '.anchor', ( function (event) {
        let anchorName = $(this).attr('id').replace('_event', '');
        let data = JSON.stringify({
            'anchor': anchorName,
            'data': $('#' + anchorName).text()
        });
        console.log("Sending: " + data);
        ws.send(data);
    }));

ws.onmessage = function (messageEvent) {
    let message = JSON.parse(messageEvent.data);
    $('#' + message['anchor']).text(message['data']);
};